> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate import job

> Cancells import and deletes all imported records. 
Requires either executionId and flowId if cancelling CST import, or jobId for DataImport jobs. Works idempotently and is safe to retry.
Use by both external API and CST flows.



## OpenAPI

````yaml openapi/promotion-v3.json DELETE /v3/personaloffers
openapi: 3.0.4
info:
  title: Offer Api
  version: v3
servers:
  - url: https://{host}/promotion
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v3/personaloffers:
    delete:
      tags:
        - PersonalOffers
      summary: Terminate import job
      description: >-
        Cancells import and deletes all imported records. 

        Requires either executionId and flowId if cancelling CST import, or
        jobId for DataImport jobs. Works idempotently and is safe to retry.

        Use by both external API and CST flows.
      parameters:
        - name: executionId
          in: query
          description: ''
          schema:
            type: string
        - name: flowId
          in: query
          description: ''
          schema:
            type: string
        - name: JobId
          in: header
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````